Package org.wso2.carbon.proxyadmin

## Class ProxyData

- java.lang.Object
- - org.wso2.carbon.proxyadmin.ProxyData

-     public class ProxyData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getArtifactContainerName()` | Get the name of the artifact container from which the proxy deployed
    `String` | `getDescription()` |
    `String` | `getEndpointKey()` |
    `String` | `getEndpointXML()` |
    `String` | `getFaultSeqKey()` |
    `String` | `getFaultSeqXML()` |
    `String` | `getInSeqKey()` |
    `String` | `getInSeqXML()` |
    `boolean` | `getIsEdited()` | Whether the proxy is edited through the management console
    `String` | `getName()` |
    `String` | `getOutSeqKey()` |
    `String` | `getOutSeqXML()` |
    `String[]` | `getPinnedServers()` |
    `ProxyServicePolicyInfo[]` | `getPolicies()` |
    `String` | `getPreservePolicy()` |
    `String` | `getPublishWSDLEndpoint()` |
    `String` | `getServiceGroup()` |
    `Entry[]` | `getServiceParams()` |
    `String[]` | `getTransports()` |
    `String` | `getWsdlDef()` |
    `String` | `getWsdlKey()` |
    `Entry[]` | `getWsdlResources()` |
    `String` | `getWsdlURI()` |
    `boolean` | `isEnableSecurity()` |
    `boolean` | `isEnableStatistics()` |
    `boolean` | `isEnableTracing()` |
    `boolean` | `isRunning()` |
    `boolean` | `isStartOnLoad()` |
    `boolean` | `isWsdlAvailable()` |
    `org.apache.axiom.om.OMElement` | `retrieveOM()` |
    `void` | `setArtifactContainerName​(String artifactContainerName)` | Set the name of the artifact container
    `void` | `setDescription​(String description)` |
    `void` | `setEnableSecurity​(boolean enableSecurity)` |
    `void` | `setEnableStatistics​(boolean enableStatistics)` |
    `void` | `setEnableTracing​(boolean enableTracing)` |
    `void` | `setEndpointKey​(String endpointKey)` |
    `void` | `setEndpointXML​(String endpointXML)` |
    `void` | `setFaultSeqKey​(String faultSeqKey)` |
    `void` | `setFaultSeqXML​(String faultSeqXML)` |
    `void` | `setInSeqKey​(String inSeqKey)` |
    `void` | `setInSeqXML​(String inSeqXML)` |
    `void` | `setIsEdited​(boolean isEdited)` | Set whether the proxy is deployed via the management console
    `void` | `setName​(String name)` |
    `void` | `setOutSeqKey​(String outSeqtKey)` |
    `void` | `setOutSeqXML​(String outSeqXML)` |
    `void` | `setPinnedServers​(String[] pinnedServers)` |
    `void` | `setPolicies​(ProxyServicePolicyInfo[] policies)` |
    `void` | `setPreservePolicy​(String preservePolicy)` |
    `void` | `setPublishWSDLEndpoint​(String publishWSDLEndpoint)` |
    `void` | `setRunning​(boolean running)` |
    `void` | `setServiceGroup​(String serviceGroup)` |
    `void` | `setServiceParams​(Entry[] serviceParams)` |
    `void` | `setStartOnLoad​(boolean startOnLoad)` |
    `void` | `setTransports​(String[] transports)` |
    `void` | `setWsdlAvailable​(boolean wsdlAvailable)` |
    `void` | `setWsdlDef​(String wsdlDef)` |
    `void` | `setWsdlKey​(String wsdlKey)` |
    `void` | `setWsdlResources​(Entry[] wsdlResources)` |
    `void` | `setWsdlURI​(String wsdlURI)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyData

          public ProxyData()

  - ### Method Detail

    - #### getPreservePolicy

          public String getPreservePolicy()

    - #### setPreservePolicy

          public void setPreservePolicy​(String preservePolicy)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### isWsdlAvailable

          public boolean isWsdlAvailable()

    - #### setWsdlAvailable

          public void setWsdlAvailable​(boolean wsdlAvailable)

    - #### isEnableTracing

          public boolean isEnableTracing()

    - #### setEnableTracing

          public void setEnableTracing​(boolean enableTracing)

    - #### isEnableStatistics

          public boolean isEnableStatistics()

    - #### setEnableStatistics

          public void setEnableStatistics​(boolean enableStatistics)

    - #### isRunning

          public boolean isRunning()

    - #### setRunning

          public void setRunning​(boolean running)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### setTransports

          public void setTransports​(String[] transports)

    - #### getTransports

          public String[] getTransports()

    - #### getPinnedServers

          public String[] getPinnedServers()

    - #### setPinnedServers

          public void setPinnedServers​(String[] pinnedServers)

    - #### getEndpointKey

          public String getEndpointKey()

    - #### setEndpointKey

          public void setEndpointKey​(String endpointKey)

    - #### getEndpointXML

          public String getEndpointXML()

    - #### setEndpointXML

          public void setEndpointXML​(String endpointXML)

    - #### getInSeqKey

          public String getInSeqKey()

    - #### setInSeqKey

          public void setInSeqKey​(String inSeqKey)

    - #### getInSeqXML

          public String getInSeqXML()

    - #### setInSeqXML

          public void setInSeqXML​(String inSeqXML)

    - #### getOutSeqKey

          public String getOutSeqKey()

    - #### setOutSeqKey

          public void setOutSeqKey​(String outSeqtKey)

    - #### getOutSeqXML

          public String getOutSeqXML()

    - #### setOutSeqXML

          public void setOutSeqXML​(String outSeqXML)

    - #### getFaultSeqKey

          public String getFaultSeqKey()

    - #### setFaultSeqKey

          public void setFaultSeqKey​(String faultSeqKey)

    - #### getFaultSeqXML

          public String getFaultSeqXML()

    - #### setFaultSeqXML

          public void setFaultSeqXML​(String faultSeqXML)

    - #### getWsdlKey

          public String getWsdlKey()

    - #### setWsdlKey

          public void setWsdlKey​(String wsdlKey)

    - #### getWsdlURI

          public String getWsdlURI()

    - #### setWsdlURI

          public void setWsdlURI​(String wsdlURI)

    - #### getPublishWSDLEndpoint

          public String getPublishWSDLEndpoint()

    - #### setPublishWSDLEndpoint

          public void setPublishWSDLEndpoint​(String publishWSDLEndpoint)

    - #### getWsdlResources

          public Entry[] getWsdlResources()

    - #### setWsdlResources

          public void setWsdlResources​(Entry[] wsdlResources)

    - #### getServiceParams

          public Entry[] getServiceParams()

    - #### setServiceParams

          public void setServiceParams​(Entry[] serviceParams)

    - #### getWsdlDef

          public String getWsdlDef()

    - #### setWsdlDef

          public void setWsdlDef​(String wsdlDef)

    - #### isStartOnLoad

          public boolean isStartOnLoad()

    - #### setStartOnLoad

          public void setStartOnLoad​(boolean startOnLoad)

    - #### getPolicies

          public ProxyServicePolicyInfo[] getPolicies()

    - #### setPolicies

          public void setPolicies​(ProxyServicePolicyInfo[] policies)

    - #### isEnableSecurity

          public boolean isEnableSecurity()

    - #### setEnableSecurity

          public void setEnableSecurity​(boolean enableSecurity)

    - #### getServiceGroup

          public String getServiceGroup()

    - #### setServiceGroup

          public void setServiceGroup​(String serviceGroup)

    - #### retrieveOM

          public org.apache.axiom.om.OMElement retrieveOM()
                                                   throws ProxyAdminException

      Throws:
        `ProxyAdminException`

    - #### getArtifactContainerName

          public String getArtifactContainerName()

      Get the name of the artifact container from which the proxy deployed
      Returns:
        artifactContainerName

    - #### setArtifactContainerName

          public void setArtifactContainerName​(String artifactContainerName)

      Set the name of the artifact container
      Parameters:
        `artifactContainerName` -

    - #### getIsEdited

          public boolean getIsEdited()

      Whether the proxy is edited through the management console
      Returns:
        isEdited

    - #### setIsEdited

          public void setIsEdited​(boolean isEdited)

      Set whether the proxy is deployed via the management console
      Parameters:
        `isEdited` -